/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class CSSElement {
    /**
     * Classes.
     *
     * @type string[]
     *
     * @since 1.0.0
     */
    private classes;
    /**
     * Add Class.
     *
     * @param string Name of css class to add.
     *
     * @since 1.0.0
     */
    addClass(name: string): void;
    /**
     * Remove Class.
     *
     * @param string Name of css class to remove.
     *
     * @since 1.0.0
     */
    removeClass(name: string): void;
    /**
     * Get CSS Classes.
     *
     * @return String of CSS classes.
     *
     * @since 1.0.0
     */
    getClasses(): string;
}
