import type HasCallbackData from "../Interfaces/HasCallbackData";
import type Form from "./Form";
/**
 * Dynamic value class.
 *
 * @since 1.0.0
 */
export default class DynamicValue {
    readonly form: Form;
    readonly value: string;
    readonly field: string;
    readonly callback: HasCallbackData;
    /**
     * Initializing field.
     *
     * @param form Form object.
     * @param type Type of dynamic value.
     *
     * @since 1.0.0
     */
    constructor(form: Form, values: any);
    /**
     * Get value
     *
     * @param form Form object.
     * @param type Type of dynamic value.
     *
     * @since 1.0.0
     */
    getValue(): any;
}
